View Issue Details

IDProjectCategoryView StatusLast Update
0015262MediaMonkey (current)DB/FileMonitorpublic2019-03-27 21:16
Reporterpeke 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionreopened 
Product Version 
Target Version4.1.24Fixed in Version4.1.24 
Summary0015262: DB: Criteria Disk # can result in SQL error
DescriptionSpecific Criteria used in creating New collection result in SQL error.
Steps To ReproduceCreate new collection created with the following criteria
1. Field Disk #> = "A"
2. Field Disk # <= B (Without "") Result in SQL Error
Additional InformationBZI-107-56135
TagsNo tags attached.
Fixed in build1883

Relationships

related to 0015197 closedLudek MediaMonkey 5 Searching / auto-playlists: Entering non-integer values to integer fields results in SQL errors 

Activities

peke

2018-12-14 01:08

developer   ~0051776

Log file and Debug log uploaded to ftp

DB_BuG.jpg (316,756 bytes)

Ludek

2018-12-14 10:27

developer   ~0051779

Last edited: 2018-12-14 10:27

View 2 revisions

Fixed in 4.1.24.1882

No need for a fix in MM5 (as for MM5 this has been already fixed as 0015197)

peke

2019-01-06 00:50

developer   ~0051958

Verified 1882

lowlander

2019-01-07 17:55

developer   ~0051976

This seems to have introduced a regression where < and <= don't work. For example Played# < 1 returns files with Played# > 1.

https://www.mediamonkey.com/forum/viewtopic.php?f=6&t=93549

Ludek

2019-01-07 19:50

developer   ~0051978

Fixed in 4.1.24.1883

peke

2019-03-27 21:16

developer   ~0053115

Verified 1883